*** s_lock.c.orig	Tue Mar 23 21:49:38 2004
--- s_lock.c	Tue Mar 23 21:49:18 2004
***************
*** 45,51 ****
  s_lock(volatile slock_t *lock, const char *file, int line)
  {
  	/*
! 	 * We loop tightly for awhile, then delay using select() and try
  	 * again. Preferably, "awhile" should be a small multiple of the
  	 * maximum time we expect a spinlock to be held.  100 iterations seems
  	 * about right.  In most multi-CPU scenarios, the spinlock is probably
--- 45,51 ----
  s_lock(volatile slock_t *lock, const char *file, int line)
  {
  	/*
! 	 * We loop tightly for awhile, then delay using pg_usleep() and try
  	 * again. Preferably, "awhile" should be a small multiple of the
  	 * maximum time we expect a spinlock to be held.  100 iterations seems
  	 * about right.  In most multi-CPU scenarios, the spinlock is probably
***************
*** 53,59 ****
  	 * finish 100 iterations.  However, on a uniprocessor, the tight loop
  	 * is just a waste of cycles, so don't iterate thousands of times.
  	 *
! 	 * Once we do decide to block, we use randomly increasing select()
  	 * delays. The first delay is 10 msec, then the delay randomly
  	 * increases to about one second, after which we reset to 10 msec and
  	 * start again.  The idea here is that in the presence of heavy
--- 53,59 ----
  	 * finish 100 iterations.  However, on a uniprocessor, the tight loop
  	 * is just a waste of cycles, so don't iterate thousands of times.
  	 *
! 	 * Once we do decide to block, we use randomly increasing pg_usleep()
  	 * delays. The first delay is 10 msec, then the delay randomly
  	 * increases to about one second, after which we reset to 10 msec and
  	 * start again.  The idea here is that in the presence of heavy
